# This file created by conda-build 26.3.0
# ------------------------------------------------

package:
  name: libmambapy
  version: 2.3.2
source:
  url: https://github.com/mamba-org/mamba/archive/refs/tags/2.3.2.tar.gz
  sha256: c969d189b0263218467b9e3b8922fcad8f7023bd8b5a981edc37e0da27cf953f
  patches:
    - patches/0001-revert-use-range-in-solution.patch
build:
  string: py314heb26620_3
  run_exports:
    - libmambapy >=2.3.2,<2.4.0a0
  ignore_run_exports:
    - spdlog
  number: 3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.5.14 h06a4308_0
    - cmake 4.2.3 h8f6b806_0
    - expat 2.8.0 h7354ed3_0
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gettext 0.25.1 h92eb808_0
    - gettext-tools 0.25.1 h6a67909_0
    - gxx_impl_linux-64 14.3.0 he634eba_4
    - gxx_linux-64 14.3.0 hca8765c_14
    - icu 78.3 h84d19a5_0
    - jansson 2.15.0 hbcba0ee_0
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libasprintf 0.25.1 hf2ab22a_0
    - libasprintf-devel 0.25.1 hf2ab22a_0
    - libbrotlicommon 1.2.0 h32cd6e7_0
    - libbrotlidec 1.2.0 ha2c5f68_0
    - libbrotlienc 1.2.0 h2e96acb_0
    - libcurl 8.20.0 hd8fa685_1
    - libev 4.33 h7f8727e_1
    - libexpat 2.8.0 h7354ed3_0
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgettextpo 0.25.1 hf2ab22a_0
    - libgettextpo-devel 0.25.1 hf2ab22a_0
    - libgomp 15.2.0 h4751f2c_8
    - libiconv 1.18 h75a1612_0
    - libidn2 2.3.8 hf80d704_0
    - libkrb5 1.22.1 h869c75e_1
    - libnghttp2 1.69.0 hc59f8b6_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libssh2 1.11.1 h251f7ec_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-devel_linux-64 14.3.0 he7458c1_104
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libunistring 1.4.2 h34b0ebb_0
    - libuv 1.52.0 heb5a705_0
    - libxml2 2.14.6 hf2a51f9_1
    - libzlib 1.3.1 h47b2149_1
    - lmdb 0.9.31 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - ninja-base 1.13.1 h0f57076_0
    - openssl 3.5.6 h1b28b03_0
    - rhash 1.4.6 hd199180_1
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.34.6 hd44998d_0
    - ca-certificates 2026.5.14 h06a4308_0
    - cmake 4.2.3 h8f6b806_0
    - cpp-expected 1.1.0 hdb19cb5_0
    - distro 1.9.0 py314h06a4308_0
    - expat 2.8.0 h7354ed3_0
    - fmt 12.1.0 h44f220b_0
    - gettext 0.25.1 h92eb808_0
    - gettext-tools 0.25.1 h6a67909_0
    - icu 78.3 h84d19a5_0
    - jansson 2.15.0 hbcba0ee_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libarchive 3.8.7 hb3cce40_0
    - libasprintf 0.25.1 hf2ab22a_0
    - libasprintf-devel 0.25.1 hf2ab22a_0
    - libbrotlicommon 1.2.0 h32cd6e7_0
    - libbrotlidec 1.2.0 ha2c5f68_0
    - libbrotlienc 1.2.0 h2e96acb_0
    - libcurl 8.20.0 hd8fa685_1
    - libev 4.33 h7f8727e_1
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libgettextpo 0.25.1 hf2ab22a_0
    - libgettextpo-devel 0.25.1 hf2ab22a_0
    - libiconv 1.18 h75a1612_0
    - libidn2 2.3.8 hf80d704_0
    - libkrb5 1.22.1 h869c75e_1
    - libmamba 2.3.2 he97f470_3
    - libmpdec 4.0.0 h5eee18b_0
    - libnghttp2 1.69.0 hc59f8b6_0
    - libsolv 0.7.30 h6f1ccf3_2
    - libssh2 1.11.1 h251f7ec_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libunistring 1.4.2 h34b0ebb_0
    - libuuid 1.41.5 h5eee18b_0
    - libuv 1.52.0 heb5a705_0
    - libxcb 1.17.0 h9b100fa_0
    - libxml2 2.14.6 hf2a51f9_1
    - libzlib 1.3.1 h47b2149_1
    - lmdb 0.9.31 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.5 h7934f7d_0
    - nlohmann_json 3.11.2 h6a678d5_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pcre2 10.46 hf426167_0
    - pip 26.0.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - pybind11 2.13.6 py314hdb19cb5_1
    - pybind11-abi 5 hd3eb1b0_0
    - pybind11-global 2.13.6 py314hdb19cb5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - reproc 14.2.7 h7bdf020_0
    - reproc-cpp 14.2.7 h7bdf020_0
    - rhash 1.4.6 hd199180_1
    - scikit-build 0.18.1 py314hd1a145a_1
    - setuptools 72.1.0 py314h06a4308_0
    - simdjson 3.10.1 hdb19cb5_0
    - spdlog 1.17.0 h7e919e6_1
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - yaml-cpp 0.9.0 he852c71_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - __glibc >=2.28,<3.0.a0
    - fmt >=12.1.0,<13.0a0
    - libgcc >=14
    - libmamba 2.3.2 he97f470_3
    - libstdcxx >=14
    - pybind11-abi ==5
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  imports:
    - libmambapy
    - libmambapy.bindings
    - libmambapy.solver
  commands:
    - python -c "import libmambapy.version; assert libmambapy.version.__version__
      == '2.3.2'"
about:
  home: https://github.com/mamba-org/mamba
  license: BSD-3-Clause
  license_file: LICENSE
  license_family: BSD
  summary: A fast drop-in alternative to conda, using libsolv for dependency resolution
  description: '


    [![Build Status](https://github.com/mamba-org/mamba/workflows/CI/badge.svg)](https://github.com/mamba-org/mamba/actions)

    [![Join the Gitter Chat](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/mamba-org/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

    [![docs](https://readthedocs.org/projects/mamba/badge/?version=latest&style=flat)](https://mamba.readthedocs.io/en/latest)


    `mamba` is a reimplementation of the conda package manager in C++.


    - parallel downloading of repository data and package files using multi-threading

    - libsolv for much faster dependency solving, a state-of-the-art library used
    in the RPM package manager of Red Hat, Fedora, and OpenSUSE

    - core parts of `mamba` are implemented in C++ for maximum efficiency


    At the same time, `mamba` utilizes the same command line parser, package installation
    and deinstallation code, and transaction verification routines as `conda` to stay
    as compatible as possible.


    Mamba is part of a bigger ecosystem to make scientific packaging more sustainable.
    You can read our [announcement blog post](https://medium.com/@QuantStack/open-software-packaging-for-science-61cecee7fc23).

    The ecosystem also consists of `quetz`, an open source `conda` package server,
    and `boa`, a fast `conda` package builder.




    Please refer to the [`mamba` and `micromamba` installation guide](https://mamba.readthedocs.io/en/latest/installation.html)
    in the documentation.




    `mamba` and `micromamba` come with features on top of stock `conda`.




    To efficiently query repositories and query package dependencies, you can use
    `mamba repoquery` or `micromamba repoquery`.

    See the [repoquery documentation](https://mamba.readthedocs.io/en/latest/user_guide/mamba.html#repoquery)
    for details.




    `micromamba` can be used to install lock files generated by [conda-lock](https://conda-incubator.github.io/conda-lock/)
    without having to install `conda-lock`. Simply invoke e.g. `micromamba create
    -n my-env -f conda-lock.yml` with an environment lockfile named `*-lock.yml` or
    `*-lock.yaml`.

    '
  dev_url: https://github.com/mamba-org/mamba
  doc_url: https://mamba.readthedocs.io/
extra:
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - adriendelsalle
    - ericmjl
    - wolfv
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/mamba-feedstock
  sha: 54d1a91022a3bf4fd8685e51102cd3865ae40bba
  task_id: FyHrdXCnRwyAD4F-bhN8tQ
  task_run_id: '0'
  pbp_graph_uuid: 2b8ebf67-612a-4576-b109-b893ebdac4d2
